#pragma once

class queuex
{
private:
	int maxSize;
	double *arr;
	int front;
	int rear;
	int nItems;
public:
	queuex(int s);
	~queuex(void);
	void insert(double d);
	double remove();
	double peekFront();
	int size();
	bool isFull();
	bool isEmpty();
	void circle(int &pos);
};
